import axios from '../http'

export default {
  /**
   * Webhook
   */
  getWebhook (params) {
    return axios.request({
      url: 'tg/webhook',
      method: 'get',
      needLogin: true,
      params
    })
  },
  /**
   * 同步确认页面
   */
  getSyncInfo (params) {
    return axios.request({
      url: 'tg/sync',
      method: 'post',
      needLogin: true,
      params
    })
  },
  /**
   * 绑定操作
   */
  doSync (params) {
    return axios.request({
      url: 'tg/doSync',
      method: 'post',
      needLogin: true,
      params
    })
  }
}
